For Developers

List Applications

GET https://ed.link/api/v2/teams/:team_id/applications

Lists all developer applications owned by the authenticated team, ordered by sequence.

Permissions

Requires the applications.read system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.

Sample Request

const response = await axios.get(
    `https://ed.link/api/v2/teams/${team_id}/applications`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": [
        {
            "id": "7ebf2dc9-ab3b-448f-9b15-0b38e71f81c9",
            "created_date": "2024-01-15T08:00:00.000Z",
            "updated_date": "2024-06-20T12:00:00.000Z",
            "name": "Acme Learning LMS Integration",
            "description": "Enterprise application integration.",
            "origin": "https://app.acmelearning.com"
        }
    ]
}